Request authorization for access to resources
Analytics Events
/v1/oauth/authorizeThis endpoint is used to request authorization from the user for access to the requested resources. After the user approves the request, an authorization code is returned to the client. See https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-authorization-endpoint See https://www.rfc-editor.org/rfc/rfc6749.html#section-3.1
Analytic events
- OPENID_AUTHORIZE_START
- OPENID_AUTHORIZE_SUCCESS
- OPENID_AUTHORIZE_FAIL
Query Parameters
The response type, which must be 'code'.
"code"The client identifier.
The URI to which the authorization server will redirect the user-agent with the authorization code.
The scope of the access request.
An opaque value used by the client to maintain state between the request and callback.
The method used to derive the code_challenge, which must be 'S256'.
"S256"A high entropy random challenge generated by the client.
Response Body
application/json
text/plain
curl -X GET "https://example.vii.au01.mattr.global/v1/oauth/authorize?response_type=code&client_id=string&redirect_uri=string&scope=string&code_challenge_method=S256&code_challenge=string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"How would you rate this page?
Delete a Pre-authorized Code credential offer DELETE
Delete an [OpenID4VCI Pre-authorized Code](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#section-4.1) credential offer. ### **Analytic events** * OPENID_PRE_AUTHORIZED_OFFER_DELETE_START * OPENID_PRE_AUTHORIZED_OFFER_DELETE_SUCCESS * OPENID_PRE_AUTHORIZED_OFFER_DELETE_FAIL
Exchange authorization code for access token POST
This endpoint is used to exchange an authorization code or a pre-authorized code for an access token, which is later used to request a credential. - In an Authorization Code flow the authorization code is obtained from the authorization endpoint after the user has successfully authenticated. - In a Pre-authorized Code flow the pre-authorized code is obtained from the offer URI. See [https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-token-endpoint](https://openid.net/specs/openid-4-verifiable-credential-issuance-1_0.html#name-token-endpoint) for more information. ### **Analytic events** * OPENID_TOKEN_START * OPENID_TOKEN_SUCCESS * OPENID_TOKEN_FAIL